Mopidy Discourse

Mopidy-Spotify not working on Orange Pi Zero 2 (arm64 architecture)

Hey guys,

I can’t get install mopidy here.

==> my “cat /etc/lsb_release”
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION=“Ubuntu 18.04.5 LTS”

==> My “uname -a”
Linux orangepizero2 4.9.170-sun50iw9 #25 SMP PREEMPT Fri Dec 4 12:46:25 CST 2020 aarch64 aarch64 aarch64 GNU/Linux

==> It ends with an error like:
error: command ‘aarch64-linux-gnu-gcc’ failed with exit status 1

==> Similar situation that this other topic:

==> I’ve tried install using apt install, aptitude, pip install… all of them got no success.

Pliss… any idea how can I solve this?

Thanks in advance :wink:

It’s because you are using Ubuntu 18.04 which is too old. We don’t support Mopidy on 18.04.

Mopidy- Spotify does not support arm64 but that’s a different problem. Or, rather it’s not your main problem.

Hi,
Thanks for fast response!
So… I’ve understood that I gave an incorrect description. Thanks to clarify my misunderstanding!!
I’ve changed the topic name to “Mopidy-Spotify not working on Orange Pi Zero 2 (arm64 architecture)”.
I hope that can lead to a good solution…
Thanks again :wink:

OK, in which case the topic you linked contains the answer you require - it is not supported on 64-bit operating systems. You must use a 32-bit operating system.

I didn’t find any 32-bit image to OrangePi Zero2… none that I’ve had test.

==> http://www.orangepi.org/downloadresources/ (only arm64 images)
==>Orange Pi Zero 2 – Armbian (completely unusefull)

Thanks :wink: